Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007272OCamldocumentationpublic2016-06-15 10:582017-02-18 21:01
Reporterolh 
Assigned Tooctachron 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSopenSUSEOS VersionTumbleweed
Product Version4.03.0 
Target Version4.05.0 +dev/beta1/beta2/beta3/rc1Fixed in Version4.04.0 
Summary0007272: ocamldoc for types lacks newlines in html files
DescriptionEach module has an html file, like libref/Arg.html. In this file there a link to the types, like "Module Arg" which links to libref/type_Arg.html.
In 4.02.3 the html code has several [br] tags to force a newline.
In 4.03 these [br] tags are missing.

This happens in all created files by ocamldoc.

Its appearently broken upstream as well.
Steps To ReproduceCompare these two URLs:

http://caml.inria.fr/pub/docs/manual-ocaml-4.02/libref/type_Arg.html [^]
vs.
http://caml.inria.fr/pub/docs/manual-ocaml-4.03/libref/type_Arg.html [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0006341closedguesdon -colorize-code causes unnecessary < br> tags to be added to < pre> blocks 

-  Notes
(0015982)
olh (reporter)
2016-06-15 10:59

Looks like mantis translates the html tags into real html.

My report is about the "br" html tags.
(0015983)
gasche (developer)
2016-06-15 15:39

I would guess that
  http://caml.inria.fr/mantis/view.php?id=6341 [^]
  https://github.com/ocaml/ocaml/commit/af4063ebf3baefbf1caccdfed12c7af62a12f85a [^]
are causing this regression.
(0016272)
octachron (developer)
2016-09-08 02:25

See https://github.com/ocaml/ocaml/pull/798 [^] for a potential fix and some analysis of the origin of the regression.
(0017338)
octachron (developer)
2017-02-18 21:01

Fixed in 4.04 by merging the above GPR.

- Issue History
Date Modified Username Field Change
2016-06-15 10:58 olh New Issue
2016-06-15 10:59 olh Note Added: 0015982
2016-06-15 15:35 gasche Description Updated View Revisions
2016-06-15 15:36 gasche Description Updated View Revisions
2016-06-15 15:38 gasche Relationship added related to 0006341
2016-06-15 15:39 gasche Note Added: 0015983
2016-06-15 15:39 gasche Assigned To => doligez
2016-06-15 15:39 gasche Status new => confirmed
2016-09-07 17:05 shinwell Target Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-09-08 02:25 octachron Note Added: 0016272
2017-02-18 20:59 octachron Status confirmed => resolved
2017-02-18 20:59 octachron Fixed in Version => 4.04.0
2017-02-18 20:59 octachron Resolution open => fixed
2017-02-18 20:59 octachron Assigned To doligez => octachron
2017-02-18 21:01 octachron Note Added: 0017338
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker